KKeyServer::Sym Struct Reference

`#include <kkeyserver_x11.h>`

## Public Member Functions

| Sym ()
| Sym (uint sym)
| Sym (const QString &s)
bool | initQt (int keyQt)
bool | init (const QString &s)
int | qt () const
QString | toStringInternal () const
QString | toString () const
uint | getModsRequired () const
uint | getSymVariation () const
| operator uint () const
Sym & | operator= (uint sym)

## Public Attributes

uint | m_sym

## Detailed Description

Represents a key symbol.

See also
  KKey
  KKeyServer

Definition at line 47 of file kkeyserver_x11.h.

## Constructor & Destructor Documentation

KKeyServer::Sym::Sym | ( |  | ) |

inline

Creates a null symbol.

Definition at line 54 of file kkeyserver_x11.h.

KKeyServer::Sym::Sym | ( | uint | sym | ) |

inline

Creates asymbol with the given value.

Parameters

  sym | the value

Definition at line 60 of file kkeyserver_x11.h.

KKeyServer::Sym::Sym | ( | const QString & | s | ) |

inline

Creates a symbol from the given string description.

Parameters

  s | the description of the symbol

See also
  toString()

Definition at line 67 of file kkeyserver_x11.h.

## Member Function Documentation

uint KKeyServer::Sym::getModsRequired | ( |  | ) | const

Returns the mods that are required for this symbol as ORed KKey::ModFlag's.

For example, Break requires a Ctrl to be valid.

Returns
  the required KKey::ModFlag's

See also
  KKey::ModFlag

uint KKeyServer::Sym::getSymVariation | ( |  | ) | const

TODO: please find out what this method does and document it.

bool KKeyServer::Sym::init | ( | const QString & | s | ) |

Initializes the key with the given string description.

Parameters

  s | the string description

Returns
  true if successful, false otherwise

See also
  toString()

bool KKeyServer::Sym::initQt | ( | int | keyQt | ) |

Initializes the symbol with the given Qt key code.

Parameters

  keyQt | the qt key code

Returns
  true if successful, false otherwise

See also
  Qt::Key

KKeyServer::Sym::operator uint | ( |  | ) | const

inline

Casts the symbol to its integer representation.

Definition at line 120 of file kkeyserver_x11.h.

Sym& KKeyServer::Sym::operator= | ( | uint | sym | ) |

inline

Overloaded operator to convert ints to Sym.

Definition at line 125 of file kkeyserver_x11.h.

int KKeyServer::Sym::qt | ( |  | ) | const

Returns the qt key code of the symbol.

Returns
  the qt key code

QString KKeyServer::Sym::toString | ( |  | ) | const

Returns the string representation of the symbol.

Returns
  the string representation of the symbol

## Member Data Documentation

uint KKeyServer::Sym::m_sym

the actual value of the symbol

Definition at line 51 of file kkeyserver_x11.h.

The documentation for this struct was generated from the following file:

- kkeyserver_x11.h

KDE Home | KDE Accessibility Home | Description of Access Keys